/*
  EdiNoS - Editeur de NoS
  Copyright (C) 2018-2019 - Luc Poittevin — Tous droits réservés.
  Contact : edinos@free.fr  -  https://www.edinos.org
  
  Ce programme est un logiciel libre ; vous pouvez le redistribuer ou le
  modifier suivant les termes de la “GNU General Public License” telle que
  publiée par la Free Software Foundation : soit la version 3 de cette
  licence, soit (à votre gré) toute version ultérieure.
  
  Ce programme est distribué dans l’espoir qu’il vous sera utile, mais SANS
  AUCUNE GARANTIE : sans même la garantie implicite de COMMERCIALISABILITÉ
  ni d’ADÉQUATION À UN OBJECTIF PARTICULIER. Consultez la Licence Générale
  Publique GNU pour plus de détails.
  
  Vous devriez avoir reçu une copie de la Licence Générale Publique GNU avec
  ce programme ; si ce n’est pas le cas, consultez :
  <http://www.gnu.org/licenses/>. 
 */

package nos.edit.html;

import java.util.List;

import nos.obj.FaitAttendu;

@SuppressWarnings("serial")
public class TableFaits extends TableFaitsEdit {

	public TableFaits(List<FaitAttendu> l) {
		super(l);
		colonnes = new String[] { "Nom", "Type", "Description" };
	}
	
	
	public boolean isCellEditable(int row, int col) {
		return false;
	}
	
	void ajouteData(FaitAttendu f) {
		Object[] tab = { f.getNom(), f.getType(),f.getDescription() };
		listeFaits.add(tab);
	}
}
