/*
  EdiNoS - Editeur de NoS
  Copyright (C) 2013 - Luc Poittevin — Tous droits réservés.
  Contact : edinos@free.fr  -  https://www.edinos.org
  
  Ce programme est un logiciel libre ; vous pouvez le redistribuer ou le
  modifier suivant les termes de la “GNU General Public License” telle que
  publiée par la Free Software Foundation : soit la version 3 de cette
  licence, soit (à votre gré) toute version ultérieure.
  
  Ce programme est distribué dans l’espoir qu’il vous sera utile, mais SANS
  AUCUNE GARANTIE : sans même la garantie implicite de COMMERCIALISABILITÉ
  ni d’ADÉQUATION À UN OBJECTIF PARTICULIER. Consultez la Licence Générale
  Publique GNU pour plus de détails.
  
  Vous devriez avoir reçu une copie de la Licence Générale Publique GNU avec
  ce programme ; si ce n’est pas le cas, consultez :
  <http://www.gnu.org/licenses/>. 
*/

package nos.utils;

import java.io.File;
import java.io.FilenameFilter;

public class FiltreNodXml implements FilenameFilter {

	public boolean accept(File d, String path) {

		String extension = getExtension(path);
		if (extension != null) {
			if (extension.equals("nod.xml")) {
				return true;
			} else {
				return false;
			}
		}
		return false;
	}

	public String getExtension(String s) {

		String ext = null;
		int i = s.lastIndexOf('.');
		if (i > 0) {
			int j = s.substring(0, i).lastIndexOf('.');
			if (j > 0 && j < s.length() - 1) {
				ext = s.substring(j + 1).toLowerCase();
			}
			;
		}
		
		return ext;
	}
}
